#
# Spec file for Red Hat Messaging package mrg-messaging-release.
#

# the release version (x.y) will appear in the /etc/mrg-messaging-release file
%define release_version 3.2

# this is for internal tracking (i.e. x.y.1, x.y.2, etc)
%define internal_version 0 

Name:           mrg-messaging-release
Version:        %{release_version}.%{internal_version}
Release:        1%{?dist}
Summary:        Release indicator package for MRG Messaging
Group:          System Environment/Base
License:        GPLv2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Obsoletes:      mrg-release
Obsoletes:      cumin
Obsoletes:      cumin-messaging
Obsoletes:      sesame
Obsoletes:      python-wallaby
Obsoletes:      rhm-docs
Obsoletes:      qpid-server-cluster

%description
MRG Messaging release file

%prep
echo prep

%build
echo OK

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/etc

echo "Red Hat Enterprise MRG %{release_version}" > %{buildroot}/etc/mrg-messaging-release

%clean
rm -rf %{buildroot}

%check

%files
%defattr(-,root,root,-)
%attr(0644,root,root) /etc/mrg-messaging-release


%changelog
* Thu Apr 16 2015 Irina Boverman <iboverma@redhat.com> - 3.2.0-1
- Initial build for 3.2

* Thu Oct  2 2014 Irina Boverman <iboverma@redhat.com> - 3.1.0-1
- Initial build for 3.1

* Mon Sep  2 2014 Irina Boverman <iboverma@redhat.com> - 3.0.0-3
- Obsoleted qpid-server-cluster

* Thu Nov 14 2013 Irina Boverman <iboverma@redhat.com> - 3.0.0-2
- Obsoleted rhm-docs

* Thu Sep 19 2013 Irina Boverman <iboverma@redhat.com> - 3.0.0-1
- New package for 3.0 release
